#!/bin/bash
export ARCHITECTURE=amd64
cd Timelapse
electronize build /target win /p:PublishReadyToRun=false
electronize build /target osx /p:PublishReadyToRun=false
electronize build /target linux /p:PublishReadyToRun=false

rm -rf ../deb/usr/share/TimelapseNow/bin/
cp -r bin/Desktop/linux-unpacked/ ../deb/usr/share/TimelapseNow/bin/
echo "Package: timelapsenow" > ../deb/DEBIAN/control
echo "Version: 1.0" >> ../deb/DEBIAN/control
echo "Architecture: $ARCHITECTURE" >> ../deb/DEBIAN/control
echo "Maintainer: Michael Nolan <tesses50@tesses.cf>" >> ../deb/DEBIAN/control
echo "Description: Record In Steps" >> ../deb/DEBIAN/control
dpkg-deb --build --root-owner-group ../deb
mv ../deb.deb ../timelapsenow_1.0.1_$ARCHITECTURE.deb